Bug 251887 - security/suricata: update to 5.0.5
Summary: security/suricata: update to 5.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://suricata-ids.org/2020/12/04/s...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-16 08:47 UTC by Franco Fichtner
Modified: 2021-01-07 11:02 UTC (History)
4 users (show)

See Also:
kai: maintainer-feedback+
kai: merge-quarterly+


Attachments
5.0.5 patch (881 bytes, patch)
2020-12-16 08:47 UTC, Franco Fichtner
franco: maintainer-approval+
Details | Diff
suricata-5.0.5-with-libjansson-as-fixed-dependency.patch (2.51 KB, patch)
2021-01-05 11:27 UTC, Kai Knoblich
franco: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2020-12-16 08:47:38 UTC
Created attachment 220610 [details]
5.0.5 patch

Release notes: https://suricata-ids.org/2020/12/04/suricata-6-0-1-5-0-5-and-4-1-10-released/


Thanks,
Franco
Comment 1 Fernando Apesteguía freebsd_committer 2020-12-16 14:53:31 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A:
 Makefile: "LIB_DEPENDS" has to appear earlier.
 Makefile: "USES" has to appear earlier.
 /tmp/251887/security/suricata/files/patch-src_suricata-common.h: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html


Thanks!
Comment 2 Franco Fichtner 2020-12-16 17:00:47 UTC
QA passes on 12.1. I'm not sure why portlint keeps bugging. Maybe I'm stupid for not knowing what it wants while it keeps complaining about any order of LIB_DEPENDS, USES and BUILD_DEPENDS no matter how you arrange them.
Comment 3 Fernando Apesteguía freebsd_committer 2020-12-16 17:49:52 UTC
(In reply to Franco Fichtner from comment #2)

Don't sweat, I think it is portlint who is dumb in this case.

Tip: if you want to silence the warning, try to remove the blank line between BUILD_DEPENDS and LIB_DEPENDS.

portclippy is smart enough to do it right.

Thanks for double checking.
Comment 4 Franco Fichtner 2020-12-16 18:11:18 UTC
Aha, so it doesn't like DEPENDS in separate blocks. Thanks for the find.
Comment 5 Kai Knoblich freebsd_committer 2021-01-05 11:27:21 UTC
Created attachment 221288 [details]
suricata-5.0.5-with-libjansson-as-fixed-dependency.patch

(In reply to Franco Fichtner from comment #0)

thank you for the patch! 

A small issue was spotted during the QA builds with default/all/no options set.

If all options are unset the build fails because the devel/jansson dependency
of the JSON option is mandatory since the 5.0.0 release:

> checking jansson.h usability... no
> checking jansson.h presence... no
> checking for jansson.h... no
> checking for json_dump_callback in -ljansson... no
>
>     ERROR: Jansson is now required.

Attached is an updated patch with the all parts of the JSON option converted to fixed components.  It also contains the style fix for the dependency block as already mentioned in comment #3 and comment #4.

P.S.: As this release is a bugfix release it's a candidate for MFH'ing it into the 2021Q1 branch as well.
Comment 6 Franco Fichtner 2021-01-05 12:34:31 UTC
Comment on attachment 221288 [details]
suricata-5.0.5-with-libjansson-as-fixed-dependency.patch

looks good, thank you
Comment 7 daniel.engberg.lists 2021-01-05 20:26:08 UTC
Do we really need to use -includes= and -libraries= if USES= localbase or localbase:ldflags is set?
Comment 8 Fernando Apesteguía freebsd_committer 2021-01-06 18:31:46 UTC
(In reply to daniel.engberg.lists from comment #7)
USES=localbase should be enough to remove both *-includes and *-libraries
Comment 9 Kai Knoblich freebsd_committer 2021-01-06 19:01:08 UTC
(In reply to daniel.engberg.lists from comment #7)
(In reply to Fernando Apesteguía from comment #8)

Thank you for your inputs, the entire Makefile could be somewhat modernized, indeed. 

I would, however, appreciate it if these changes are tracked in a separate bug after security/suricata is updated to 5.0.5.

IMHO we can then look at the whole changes and test them with enough time and, if necessary, fix/improve/revert things if something doesn't work immediately afterwards.
Comment 10 Fernando Apesteguía freebsd_committer 2021-01-06 19:09:32 UTC
(In reply to Kai Knoblich from comment #9)
Sounds ok to me.

Thanks!
Comment 11 commit-hook freebsd_committer 2021-01-07 10:24:25 UTC
A commit references this bug:

Author: kai
Date: Thu Jan  7 10:24:04 UTC 2021
New revision: 560700
URL: https://svnweb.freebsd.org/changeset/ports/560700

Log:
  security/suricata: Update to 5.0.5 [1]

  * Remove the JSON option and convert the relevant parts into fixed
    components because devel/jansson has become a mandatory dependency since
    the 5.0.0 release. [2]

  Changelog:

  https://github.com/OISF/suricata/blob/suricata-5.0.5/ChangeLog

  PR:		251887
  Submitted by:	Franco Fichtner <franco@opnsense.org> (maintainer) [1]
  Reviewed by:	fernape, daniel.engberg.lists@pyret.net
  Approved by:	maintainer [2]

Changes:
  head/security/suricata/Makefile
  head/security/suricata/distinfo
Comment 12 commit-hook freebsd_committer 2021-01-07 10:28:26 UTC
A commit references this bug:

Author: kai
Date: Thu Jan  7 10:27:47 UTC 2021
New revision: 560701
URL: https://svnweb.freebsd.org/changeset/ports/560701

Log:
  MFH: r560700

  security/suricata: Update to 5.0.5 [1]

  * Remove the JSON option and convert the relevant parts into fixed
    components because devel/jansson has become a mandatory dependency since
    the 5.0.0 release. [2]

  Changelog:

  https://github.com/OISF/suricata/blob/suricata-5.0.5/ChangeLog

  PR:		251887
  Submitted by:	Franco Fichtner <franco@opnsense.org> (maintainer) [1]
  Reviewed by:	fernape, daniel.engberg.lists@pyret.net
  Approved by:	maintainer [2]

  Approved by:	ports-secteam (implicit, bugfix blanket)

Changes:
_U  branches/2021Q1/
  branches/2021Q1/security/suricata/Makefile
  branches/2021Q1/security/suricata/distinfo
Comment 13 Kai Knoblich freebsd_committer 2021-01-07 10:34:46 UTC
Committed to the /head and 2021Q1 branches, thank you, Franco, for the patch and all of you for the feedback!
Comment 14 Kai Knoblich freebsd_committer 2021-01-07 11:02:55 UTC
^ Triage: Clean up (MFH was done and maintainer-feedback was given in comment #6)